Registered merchant-owned phone payment connections
GET
/v1/phone-payment-connectors
const url = 'https://api.vocapable.com/v1/phone-payment-connectors';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/phone-payment-connectors \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PhonePaymentConnectorDirectory
object
connectors
required
Connectors
Array<object>
PhonePaymentConnectorOutobject
display_name
required
Display Name
string
policy
required
PhonePaymentPolicy
object
version
Version
integer
customer_connector_id
required
Customer Connector Id
string
merchant_account_id
required
Merchant Account Id
string
payment_kind
Payment Kind
string
hosted_enabled
Hosted Enabled
boolean
secure_phone_enabled
Secure Phone Enabled
boolean
max_amount_minor
required
Max Amount Minor
integer
currency
Currency
string
authorization_seconds
Authorization Seconds
integer
max_preparations_per_call
Max Preparations Per Call
integer
id
required
Id
string
state
required
State
string
configuration_sha256
required
Configuration Sha256
string
created_at
required
Created At
string format: date-time
hosted_ready
required
Hosted Ready
boolean
secure_phone_ready
required
Secure Phone Ready
boolean
reason_codes
required
Reason Codes
Array<string>
runtime_enabled
required
Runtime Enabled
boolean
Example
{ "connectors": [ { "policy": { "version": 1, "payment_kind": "deposit", "hosted_enabled": true, "secure_phone_enabled": false, "currency": "usd", "authorization_seconds": 300, "max_preparations_per_call": 2 }, "state": "enabled" } ]}